from typing import Literal

INFECTION_FORMS = [
    "語幹",
    "基本形",
    "未然形",
    "意志形",
    "省略意志形",
    "命令形",
    "基本条件形",
    "基本連用形",
    "基本推量形",
    "基本省略推量形",
    "文語命令形",
    "文語基本形",
    "文語未然形",
    "文語条件形",
    "文語連体形",
    "文語連用形",
    "文語音便条件形",
    "音便基本形",
    "音便推量形",
    "音便条件形",
    "音便条件形２",
    "音便省略推量形",
    "エ基本形",
    "タ形",
    "タ接連用形",
    "タ系推量形",
    "タ系条件形",
    "タ系省略推量形",
    "タ系連用タリ形",
    "タ系連用チャ形",
    "タ系連用チャ形２",
    "タ系連用テ形",
    "ダ列タ形",
    "ダ列タ系推量形",
    "ダ列タ系条件形",
    "ダ列タ系省略推量形",
    "ダ列タ系連用ジャ形",
    "ダ列タ系連用タリ形",
    "ダ列タ系連用テ形",
    "ダ列基本推量形",
    "ダ列基本条件形",
    "ダ列基本省略推量形",
    "ダ列基本連体形",
    "ダ列基本連用形",
    "ダ列文語基本形",
    "ダ列文語条件形",
    "ダ列文語連体形",
    "ダ列特殊連体形",
    "ダ列特殊連用形",
    "デアル列タ形",
    "デアル列タ系推量形",
    "デアル列タ系条件形",
    "デアル列タ系省略推量形",
    "デアル列タ系連用タリ形",
    "デアル列タ系連用テ形",
    "デアル列命令形",
    "デアル列基本形",
    "デアル列基本推量形",
    "デアル列基本条件形",
    "デアル列基本省略推量形",
    "デアル列基本連用形",
    "デス列タ形",
    "デス列タ系推量形",
    "デス列タ系条件形",
    "デス列タ系省略推量形",
    "デス列タ系連用タリ形",
    "デス列タ系連用テ形",
    "デス列基本形",
    "デス列基本推量形",
    "デス列基本省略推量形",
    "デス列音便基本形",
    "デス列音便基本推量形",
    "デス列音便基本省略推量形",
    "ヤ列タ形",
    "ヤ列タ系推量形",
    "ヤ列タ系条件形",
    "ヤ列タ系省略推量形",
    "ヤ列タ系連用タリ形",
    "ヤ列基本形",
    "ヤ列基本推量形",
    "ヤ列基本省略推量形",
]


InflectionForm = Literal[
    "語幹",
    "基本形",
    "未然形",
    "意志形",
    "省略意志形",
    "命令形",
    "基本条件形",
    "基本連用形",
    "基本推量形",
    "基本省略推量形",
    "文語命令形",
    "文語基本形",
    "文語未然形",
    "文語条件形",
    "文語連体形",
    "文語連用形",
    "文語音便条件形",
    "音便基本形",
    "音便推量形",
    "音便条件形",
    "音便条件形２",
    "音便省略推量形",
    "エ基本形",
    "タ形",
    "タ接連用形",
    "タ系推量形",
    "タ系条件形",
    "タ系省略推量形",
    "タ系連用タリ形",
    "タ系連用チャ形",
    "タ系連用チャ形２",
    "タ系連用テ形",
    "ダ列タ形",
    "ダ列タ系推量形",
    "ダ列タ系条件形",
    "ダ列タ系省略推量形",
    "ダ列タ系連用ジャ形",
    "ダ列タ系連用タリ形",
    "ダ列タ系連用テ形",
    "ダ列基本推量形",
    "ダ列基本条件形",
    "ダ列基本省略推量形",
    "ダ列基本連体形",
    "ダ列基本連用形",
    "ダ列文語基本形",
    "ダ列文語条件形",
    "ダ列文語連体形",
    "ダ列特殊連体形",
    "ダ列特殊連用形",
    "デアル列タ形",
    "デアル列タ系推量形",
    "デアル列タ系条件形",
    "デアル列タ系省略推量形",
    "デアル列タ系連用タリ形",
    "デアル列タ系連用テ形",
    "デアル列命令形",
    "デアル列基本形",
    "デアル列基本推量形",
    "デアル列基本条件形",
    "デアル列基本省略推量形",
    "デアル列基本連用形",
    "デス列タ形",
    "デス列タ系推量形",
    "デス列タ系条件形",
    "デス列タ系省略推量形",
    "デス列タ系連用タリ形",
    "デス列タ系連用テ形",
    "デス列基本形",
    "デス列基本推量形",
    "デス列基本省略推量形",
    "デス列音便基本形",
    "デス列音便基本推量形",
    "デス列音便基本省略推量形",
    "ヤ列タ形",
    "ヤ列タ系推量形",
    "ヤ列タ系条件形",
    "ヤ列タ系省略推量形",
    "ヤ列タ系連用タリ形",
    "ヤ列基本形",
    "ヤ列基本推量形",
    "ヤ列基本省略推量形",
]


def validate_inflection_form(inf_form: InflectionForm) -> bool:
    return inf_form in INFECTION_FORMS
